<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">

  <BR/>
  <hr/>

<b>From: </b> <xsl:value-of select="doc/reference/from/person/statedNameAndEmailAddress"/><BR/>
<b>Date: </b> <xsl:value-of select="doc/reference/sentTime/datetime/datetime_imap"/><BR/>
<b>To: </b> <xsl:call-template name="peopleList">
        <xsl:with-param name="list" select="doc/reference/to/person"/>
    </xsl:call-template><BR/>

<xsl:if test="number(doc/reference/cc/personCount) &gt; 0 ">
<b>Cc: </b> <xsl:call-template name="peopleList">
        <xsl:with-param name="list" select="doc/reference/cc/person"/>
        </xsl:call-template><BR/>
</xsl:if>

<b>Subject: </b> <xsl:value-of select="doc/reference/subject"/><BR/>
<BR/>


</xsl:template>



<!-- ====================================== -->
<!--Template that joins multiple people as email addresses and names-->
<xsl:template name="peopleList">
  <xsl:param name="list" />
  
  <xsl:for-each select="$list">
    <xsl:value-of select="statedNameAndEmailAddress" />
    <xsl:if test="position() != last()">, </xsl:if>
  </xsl:for-each>
</xsl:template>
<!-- ====================================== -->




</xsl:stylesheet>

